##### 7.5.5.0. inForm

Procedure from library `dmodapp.lib` (see dmodapp_lib).

Usage:
  inForm(I,w); I ideal or poly, w intvec

Return:
  ideal, generated by initial forms of generators of I w.r.t. w, or
  poly, initial form of input poly w.r.t. w

Purpose:
  computes the initial form of an ideal or a poly w.r.t. the weight w

Note:
  The size of the weight vector must be equal to the number of variables
  of the basering.

Example:

    LIB "dmodapp.lib";
    ring r = 0,(x,y,Dx,Dy),dp;
    def D = Weyl(); setring D;
    poly F = 3*x^2*Dy+2*y*Dx;
    poly G = 2*x*Dx+3*y*Dy+6;
    ideal I = F,G;
    intvec w1 = -1,-1,1,1;
    intvec w2 = -1,-2,1,2;
    intvec w3 = -2,-3,2,3;
    inForm(I,w1);
    ==> _[1]=2*y*Dx
    ==> _[2]=2*x*Dx+3*y*Dy+6
    inForm(I,w2);
    ==> _[1]=3*x^2*Dy
    ==> _[2]=2*x*Dx+3*y*Dy+6
    inForm(I,w3);
    ==> _[1]=3*x^2*Dy+2*y*Dx
    ==> _[2]=2*x*Dx+3*y*Dy+6
    inForm(F,w1);
    ==> 2*y*Dx

User manual for Singular version 4.4.1, 2025, generated by texi2html.